package com.zehong.system.domain;

import lombok.Data;
import lombok.ToString;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

import java.math.BigDecimal;

/**
 * 燃气车辆信息对象 t_vehicle_info
 *
 * @author zehong
 * @date 2022-03-17
 */
@Data
@ToString
public class TVehicleInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 车辆id */
    private Long vehicleId;

    /** 车牌号 */
    @Excel(name = "车牌号")
    private String carNum;

    /** 品牌型号 */
    @Excel(name = "品牌型号")
    private String brandModel;

    /** 车辆类型: 1.罐车 2.卡车 */
    @Excel(name = "车辆类型: 1.罐车 2.卡车")
    private String vehicleType;

    /** 车辆载重 */
    @Excel(name = "车辆载重")
    private String vehicleLoad;

    /** 车辆大小 */
    @Excel(name = "车辆大小")
    private String vehicleSize;

    /** 车辆限乘 */
    @Excel(name = "车辆限乘")
    private String vehicleLimt;

    /** 车辆检测信息 */
    @Excel(name = "车辆检测信息")
    private String vehicleInspect;

    /** 所属企业 */
    @Excel(name = "所属企业")
    private Integer beyondEnterpriseId;
    /** 所属企业名称 */
    @Excel(name = "所属企业名称")
    private String beyondEnterpriseName;


    /** 责任人 */
    @Excel(name = "责任人")
    private String personLiable;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String phone;

    /** 是否删除(0正常，1删除) */
    @Excel(name = "是否删除(0正常，1删除)")
    private String isDel;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /**
     * 经度
     */
    private BigDecimal longitude;

    /**
     * 纬度
     */
    private BigDecimal latitude;


}
